---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libGetThreadStateMountedTest.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0x1460, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x247B0, symBinAddr: 0x4040, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x24900, symBinAddr: 0x4170, symSize: 0x0 }
  - { offsetInCU: 0x8D1A, offset: 0x8D1A, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x24910, symBinAddr: 0x4180, symSize: 0x0 }
  - { offsetInCU: 0x8D33, offset: 0x8D33, size: 0x8, addend: 0x0, symName: __ZL11error_count, symObjAddr: 0x24908, symBinAddr: 0x4178, symSize: 0x0 }
  - { offsetInCU: 0x8D4C, offset: 0x8D4C, size: 0x8, addend: 0x0, symName: __ZL12time_to_exit.0, symObjAddr: 0x24918, symBinAddr: 0x4188, symSize: 0x0 }
  - { offsetInCU: 0xABA4, offset: 0xABA4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x1780, symSize: 0x30 }
  - { offsetInCU: 0xAE63, offset: 0xAE63, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xE90, symBinAddr: 0x17B0, symSize: 0x90 }
  - { offsetInCU: 0xB063, offset: 0xB063, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_trySuspendInWaitingState, symObjAddr: 0xF20, symBinAddr: 0x1840, symSize: 0x1E0 }
  - { offsetInCU: 0xB54A, offset: 0xB54A, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_testThread, symObjAddr: 0x1100, symBinAddr: 0x1A20, symSize: 0x4D0 }
  - { offsetInCU: 0xBDAC, offset: 0xBDAC, size: 0x8, addend: 0x0, symName: __ZL19verify_thread_statePKcP7JNIEnv_P8_jobjectii, symObjAddr: 0x15D0, symBinAddr: 0x1EF0, symSize: 0x1F0 }
  - { offsetInCU: 0xC02B, offset: 0xC02B, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_getErrorCount, symObjAddr: 0x17C0, symBinAddr: 0x20E0, symSize: 0x10 }
  - { offsetInCU: 0xC097, offset: 0xC097, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_runFromNative, symObjAddr: 0x17D0, symBinAddr: 0x20F0, symSize: 0x70 }
  - { offsetInCU: 0xC191, offset: 0xC191, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1840, symBinAddr: 0x2160, symSize: 0xB0 }
  - { offsetInCU: 0xC2AA, offset: 0xC2AA, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_waitInNative, symObjAddr: 0x18F0, symBinAddr: 0x2210, symSize: 0x90 }
  - { offsetInCU: 0xC497, offset: 0xC497, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_endWait, symObjAddr: 0x1980, symBinAddr: 0x22A0, symSize: 0xE }
...
